fn main(){
    println!("{}", fib(1, 0, 0, 5));
}

fn fib(curr_n:u64, prev_n:u64, recur:u64, end:u64) -> u64{
    if recur == end
    {
    return curr_n;
    }
    fib(curr_n+prev_n, curr_n, recur+1, end)
}
